Skip to main content
GET
/
api
/
v1
/
campaigns
/
{campaign_id}
/
leads-statistics
curl "https://server.smartlead.ai/api/v1/campaigns/12345/leads-statistics?api_key=YOUR_API_KEY&limit=100&offset=1"
{
  "ok": true,
  "data": []
}

Path Parameters

campaign_id
integer
required
The ID of the campaign

Query Parameters

api_key
string
required
Your API key
limit
integer
The number of leads you want to fetch in one go (optional, max 100)
event_time_gt
string
Replied/Sent at date in YYYY-MM-DD format. If you want to filter by when the last event for the lead was received by. This can be a reply event, send event etc (optional)
offset
integer
Used to paginate lead data (optional)
curl "https://server.smartlead.ai/api/v1/campaigns/12345/leads-statistics?api_key=YOUR_API_KEY&limit=100&offset=1"

Response Codes

200
Success
Request successful
400
Bad Request
Invalid request parameters or malformed request body
401
Unauthorized
Invalid or missing API key. Check your authentication.
404
Not Found
The requested resource does not exist or you don’t have access to it
{
  "ok": true,
  "data": []
}